<?php

/**
 * @package flatnux_fncommerce
 * @author Alessandro Vernassa <speleoalex@gmail.com>
 * @copyright Copyright (c) 2003-2005
 * @license http://opensource.org/licenses/gpl-license.php GNU General Public License
 *
 */
defined('_FNEXEC') or die('Restricted access');
global $_FN;
include ("fncommerce/fncommerce.php");
//----inizializzazione tabelle ---->
fnc_initTables();
//----inizializzazione tabelle ----<
$cat=FN_GetParam("cat",$_GET,"html");
$pid=FN_GetParam("id",$_GET,"html");
$p=FN_GetParam("p",$_GET,"flat");
$op=FN_GetParam("op",$_GET,"flat");
$orderstep=FN_GetParam("orderstep",$_GET,"flat");

$qta=FN_GetParam("qta",$_GET,"flat");
$orderid=FN_GetParam("orderid",$_GET,"flat");
$addcart=FN_GetParam("addtocart",$_GET,"flat");
//aggiunge al volo
if ($addcart!= "")
{
    fnc_add_to_cart($addcart,$qta,true);
}
/*
  $products = fnc_getproducts();
  dprint_r($products);
 */
//die();
if ($config['fnc_only_catalog'])
{
    switch($op)
    {
        case "view" :
            echo html_product($pid);
            echo "<br /><br /><a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;cat=$cat")."\">".FN_translate("next")."</a>";
            echo "&nbsp;&nbsp;<img style=\"vertical-align:middle\" src=\"".FN_FromTheme("images/right.png")."\" alt=\"\" title=\"".FN_translate("next")."\" />";
            break;
        default :
            print_navigation();
            break;
    }
}
else
    switch($op)
    {
        case "orderstatus" :
            if ($orderid== "")
            {
                print_orders($_FN['user']);
            }
            else
            {

                if (empty($_GET['pdf']))
                {
                    echo "<h3>".FN_Translate("my orders").":</h3>";
                    ;
                    echo html_orderstatus($orderid);
                    echo "<br /><a href=\"pdf.php?mod=fncommerce&op=orderstatus&orderid=$orderid&pdf=1\"><img src=\"images/mime/pdf.png\" /> ".FN_Translate("download pdf")."</a>";
                }
                else
                {
                    $_FN['site_title'].="-".FN_Translate("order")."_".$orderid;
                    echo "<div style=\"margin:20px;\">".html_orderstatus($orderid)."</div>";
                }
            }
            break;
        case "addtocart" :
            fnc_add_to_cart($p,$qta);
            print_cart();
            break;
        case "end_reg" :
            require_once("modules/login/functions_login.php");
            if (FNREG_ManageRegister(FN_RewriteLink("index.php?mod={$_FN['mod']}&amp;op=shipping&amp;opmod=register")))
            {
                echo "<div><br />";
                echo "<a href=\"".FN_rewriteLink("?mod={$_FN['mod']}&op=shipping")."\">".FN_Translate("next")." &gt;&gt;</a>";
                echo "</div>";
            }
            break;

        case "ordersteps" :
            if ($orderstep== "confirmorder")
                print_confirm();
            else
                print_current_order_step($orderstep);
            break;
        case "setcart" :
            print_cart();
            break;
        case "shipping" :
            print_shipping();
            break;
        case "showcart" :
            print_cart();
            break;
        case "empty_cart" :
            fnc_empty_cart();
            break;
        case "view" :
            echo html_cart();
            echo html_product($pid);
            echo "<br /><br /><a href=\"".fn_rewritelink("?mod={$_FN['mod']}&amp;cat=$cat")."\">".FN_translate("continue shopping")."</a>";
            echo "&nbsp;&nbsp;<img style=\"vertical-align:middle\" src=\"".FN_FromTheme("images/right.png")."\" alt=\"\" title=\"".FN_translate("continue shopping")."\" />";

            break;
        case "confirmorder" :
            print_confirm();
            break;
        case "saveorder" :
            print_saveorder();
            break;

        case "offers" :
            print_offers();
            break;
        default :
            print_navigation();
            break;
    }
?>